<button mat-raised-button color="primary" [disabled]="isLoading" (click)="onNext()">
  <span *ngIf="!isLast else finishButton">Next</span>
</button>
<ng-template #finishButton>
  <span>Finish</span>
</ng-template>
